#!/bin/bash

set -e

terminal=/org/gnome/terminal/legacy
profile=$terminal/profiles:/`dconf list $terminal/profiles:/`
echo $profile

dconf_write_profile_value() {
  dconf write `echo $profile`$1 $2
}

dconf_write_profile_string() {
  dconf write `echo $profile`$1 "'$2'"
}

dconf write $terminal/default-show-menubar false
dconf_write_profile_string visible-name Fresh
dconf_write_profile_string scrollbar-policy never
dconf_write_profile_value use-theme-colors false
dconf_write_profile_value use-theme-transparency false
dconf_write_profile_value use-transparent-background false
dconf_write_profile_string background-color "rgb(0,0,0)"
dconf_write_profile_string foreground-color "rgb(170,170,170)"
